[RFC] Update jQuery included in 3.1 to 1.11.0

These requests for comments/change have lead to an implemented feature that has been successfully merged into the 3.1/Ascraeus branch. Everything listed in this forum will be available in phpBB 3.1.
User avatar
BioLogIn
Registered User
Posts: 28
Joined: Mon Dec 10, 2012 6:55 pm

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by BioLogIn »

Based on open stats, IE versions 8 and older are used by ~7.1% of users, and it is decreasing fast (if was ~7.6% in the beginning of 2014). By the time we get to 3.1 release, it is possible that it will be about 5% (no offense at all, just kidding =)). Is this group large and important enough to stay on outdated branch with some deprecated jq functions?

And at my websites, all IE users amount for whooping 3.28%. And of them ~83% are using IE9 or higher. Therefore less than 0.6% of my users are using IE8 and older.

User avatar
Mess
Registered User
Posts: 199
Joined: Wed Jun 13, 2012 10:14 am

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by Mess »

BioLogIn wrote:Based on open stats, IE versions 8 and older are used by ~7.1% of users, and it is decreasing fast (if was ~7.6% in the beginning of 2014).
Afaik you need to signup your website to be part of those statistics. So I would take those numbers with a pretty big grain of salt. ;)
I'm guessing that there are still a huge number of Windows XP machines out there.
Last edited by Mess on Wed Apr 02, 2014 4:49 pm, edited 1 time in total.

User avatar
DavidIQ
Customisations Team Leader
Customisations Team Leader
Posts: 1836
Joined: Thu Mar 02, 2006 4:29 pm
Location: Earth
Contact:

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by DavidIQ »

BioLogIn wrote:And at my websites, all IE users amount for whooping 3.28%. And of them ~83% are using IE9 or higher. Therefore less than 0.6% of my users are using IE8 and older.
This gives a very different picture of those stats:
http://m.cnet.com.au/internet-explorer- ... htm?redir=

You either run a very geeky website or stats aren't working properly.
Image

User avatar
EXreaction
Registered User
Posts: 1555
Joined: Sat Sep 10, 2005 2:15 am

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by EXreaction »

One website I work on is mostly used by healthcare professionals and about 1/3 of our traffic is IE8. A significant portion also use IE7.

I don't think phpBB should drop support for IE8 at this time as in some areas it is used by a large number of people.

User avatar
VSE
Extension Customisations
Extension Customisations
Posts: 674
Joined: Mon Mar 08, 2010 9:18 am

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by VSE »

BioLogIn wrote:Is this group large and important enough to stay on outdated branch with some deprecated jq functions?
The jQuery 1.X line is not outdated, nor does it contain deprecated functions. jQuery 2.x has the same API as jQuery 1.x, but does not support Internet Explorer 6, 7, or 8.

jQuery will continue to develop both the 1.X and 2.X lines simultaneously.
Has an irascible disposition.

User avatar
PayBas
Registered User
Posts: 305
Joined: Tue Jul 29, 2008 6:08 pm
Contact:

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by PayBas »

Definitely don't choose jQ2 yet. For all the obvious reasons. 1.11.1 should do just fine. Update it ASAP ;)

User avatar
BioLogIn
Registered User
Posts: 28
Joined: Mon Dec 10, 2012 6:55 pm

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by BioLogIn »

Afaik you need to signup your website to be part of those statistics. So I would take those numbers with a pretty big grain of salt.
Ugh, sorry then. But which stats one should trust then?
You either run a very geeky website
Well, I guess I am. But I didn't try to sound like my case is representative, I know it is not. But neither are some healthcare/government websites ExReaction mentioned. And I'd suppose that they have lesser chance to be using phpbb forums than geeky sites, for what it's worth.
jQuery 2.x has the same API as jQuery 1.x
With 2.0 introduction, some jq functions and methods were renamed. Some were dropped in favor of others. And so on. That's why they have the migration package: https://github.com/jquery/jquery-migrate/.

===

But I see where it's going, so yeah, if my case is a minority, let's stick to the recent version of 1.x branch...

User avatar
VSE
Extension Customisations
Extension Customisations
Posts: 674
Joined: Mon Mar 08, 2010 9:18 am

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by VSE »

BioLogIn wrote:With 2.0 introduction, some jq functions and methods were renamed. Some were dropped in favor of others. And so on. That's why they have the migration package: https://github.com/jquery/jquery-migrate/.
The changes you are referring to, those that their migration tool checks for, were introduced in both 1.X and 2.X together.

From jQuery's very own site, direct quote, first sentence: http://jquery.com/download/#jquery-2-x
jQuery 2.x has the same API as jQuery 1.x, but does not support Internet Explorer 6, 7, or 8.
Has an irascible disposition.

User avatar
BioLogIn
Registered User
Posts: 28
Joined: Mon Dec 10, 2012 6:55 pm

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by BioLogIn »

VSE+
Ok, I see. Thanks for clarification. Also sorry, I should have checked that myself before posting =(

User avatar
VSE
Extension Customisations
Extension Customisations
Posts: 674
Joined: Mon Mar 08, 2010 9:18 am

Re: [RFC] Update jQuery included in 3.1 to 1.11.0

Post by VSE »

NP. Anyway, jQuery 1.11.0 has been merged. So phpBB does now have the latest and greatest version and still supports older versions of IE. :)
Has an irascible disposition.

Post Reply